View Issue Details

IDProjectCategoryView StatusLast Update
0021927LazarusIDEpublic2020-02-17 19:37
ReporterIhor LavrynyukAssigned ToJuha Manninen 
PrioritynormalSeverityminorReproducibilityalways
Status feedbackResolutionopen 
PlatformWindowsOSWindowsOS VersionWindows 7
Product Version1.1 (SVN)Product Buildrev 36732 
Target VersionFixed in Version 
Summary0021927: issue TActionList
Descriptionwe have 3 components on form TActionList and ImageList and TBitBtn. Configure TActionList, enter caption, select images then in BitBtn select Action - All ok. then I change images index in TActionList for same action and image on bitbtn not changes((.
not change Images Glyph in BitBtn.
images PNG
Steps To Reproducemaybe need clean Glyph in TBitBtn before change
Additional InformationFPC 2.6.1

object ActionList: TActionList
  Images = ImageList
  left = 280
  top = 24
  object actTrade: TAction
    Caption = 'Торгівля'
    ImageIndex = 2
  end
  object actRepair: TAction
    Caption = 'Ремонт'
    HelpType = htKeyword
    ImageIndex = 3
  end
  object actProcurement: TAction
    Caption = 'Закупки'
    ImageIndex = 4
    OnExecute = actProcurementExecute
  end
  object actNomenclature: TAction
    Caption = 'Номенклатура товарів'
    ImageIndex = 1
    OnExecute = actNomenclatureExecute
  end
  object actStoreHouses: TAction
    Caption = 'Склади та запаси в них'
    ImageIndex = 0
    OnExecute = actStoreHousesExecute
  end
  object actNomenclatureCreateEditGroup: TAction
  end
  object actCounterparties: TAction
    Caption = 'Контрагенти'
    ImageIndex = 9
    OnExecute = actCounterpartiesExecute
  end
  object actReports: TAction
    Caption = 'Звіти'
    ImageIndex = 6
    OnExecute = actReportsExecute
  end
  object actPricesList: TAction
    Caption = 'Прайс лист'
    ImageIndex = 7
  end
  object actSite: TAction
    Caption = 'Сайт'
    ImageIndex = 8
  end
  object actCashRegister: TAction
    Caption = 'Каса'
    ImageIndex = 5
  end
end
Tags1.1, ActionList, Glyph, ImageList, TActionList, TBitBtn, TImageList, Windows 7
Fixed in Revision
LazTarget-
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0008484 resolvedJesus Reyes Actions doesn't propagate icons to SpeedButtons or BitBtns in some situations for example if ImageList is in a TDataModule 
related to 0022071 feedbackJuha Manninen ActionList Images store 

Activities

Ihor Lavrynyuk

2012-05-03 09:54

reporter   ~0059207

same problem http://bugs.freepascal.org/view.php?id=8484

Ihor Lavrynyuk

2012-05-03 13:22

reporter   ~0059212

and image from the list does not fit on the screen if the list is open and in it 13 or more images.
ActionList-> new action -> imageindex (open selection)
Screen resolution 1280x800 (notebook)
need scroll

Ihor Lavrynyuk

2012-05-05 08:48

reporter   ~0059245

http://www.youtube.com/watch?v=AxlWUtPXluQ

Bart Broersma

2020-02-12 22:39

developer   ~0121065

If this is indeed the same issue as same problem 0008484, this this should be fixed by now.
Please test and report back.
If no feedback is given, this issue will be closed.

Juha Manninen

2020-02-17 19:36

developer   ~0121147

Please test with r62642. See comments in the related 0022071.

Issue History

Date Modified Username Field Change
2012-05-03 09:34 Ihor Lavrynyuk New Issue
2012-05-03 09:34 Ihor Lavrynyuk Widgetset => Win32/Win64
2012-05-03 09:54 Ihor Lavrynyuk Note Added: 0059207
2012-05-03 10:44 Ihor Lavrynyuk Tag Attached: Windows 7
2012-05-03 10:46 Ihor Lavrynyuk Tag Attached: ActionList
2012-05-03 10:46 Ihor Lavrynyuk Tag Attached: Glyph
2012-05-03 10:46 Ihor Lavrynyuk Tag Attached: ImageList
2012-05-03 10:46 Ihor Lavrynyuk Tag Attached: TActionList
2012-05-03 10:46 Ihor Lavrynyuk Tag Attached: TBitBtn
2012-05-03 10:46 Ihor Lavrynyuk Tag Attached: TImageList
2012-05-03 10:47 Ihor Lavrynyuk Tag Attached: 1.1
2012-05-03 13:22 Ihor Lavrynyuk Note Added: 0059212
2012-05-05 08:48 Ihor Lavrynyuk Note Added: 0059245
2012-05-19 12:11 Juha Manninen Relationship added related to 0008484
2012-05-19 12:12 Juha Manninen Relationship added related to 0022071
2020-02-12 22:39 Bart Broersma Status new => feedback
2020-02-12 22:39 Bart Broersma LazTarget => -
2020-02-12 22:39 Bart Broersma Note Added: 0121065
2020-02-17 19:35 Juha Manninen Assigned To => Juha Manninen
2020-02-17 19:35 Juha Manninen Status feedback => assigned
2020-02-17 19:36 Juha Manninen Note Added: 0121147
2020-02-17 19:37 Juha Manninen Status assigned => feedback